Upload Single File Content¶
POST /api/v1/rum_sourcemap/upload_file_content
Overview¶
Used to upload the content of a single sourcemap source file (a single source file extracted from a SourceMap).
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| appId | string | Y | appId Allow empty: False |
| version | string | Version Allow empty: False Allow empty string: True |
|
| env | string | Environment Allow empty: False Allow empty string: True |
|
| filename | string | Y | Filename containing the full relative path Allow empty: False Allow empty string: True |
| content | string | File content Allow empty: False Allow empty string: True |
Additional Parameter Notes¶
Note: Only one sourcemap with the same version and env can exist for a single application. The uploaded file content directly overwrites the target file.